# Container States

The **Container** database table includes the **stateid** column. Unlike the states of artifacts, container stateids can be easily deciphered. (In Clarity LIMS, the stateids correspond to the states displayed in the BaseSpace Clarity LIMS Operations Interface).

As there is no table in the database that defines these **stateid** values, you will need to hard code the values in your queries based on the information provided in the following table:

| **StateId** | **State**    | **Container Type** |
| ----------- | ------------ | ------------------ |
| 1           | Empty        | Normal             |
| 2           | Populated    | Normal             |
| 3           | Depleted     | Normal             |
| 4           | Discarded    | Normal             |
| 5           | Reagent-Only | Normal             |
| 6           | New          | Array\*            |
| 7           | Hybridized   | Array\*            |
| 8           | Scanned      | Array\*            |
| 9           | Discarded    | Array\*            |

\*Since the concept of **arrays** does not apply to the BaseSpace Clarity LIMS Web Interface, only states 1-5 apply.

#### **Example 1**

To search for discarded and depleted containers, use the following example:

```
SELECT * FROM container WHERE stateid IN (3,4);
```

**Example 2**

To see all the arrays in the system that are new and still need to be scanned, use the following example:

```
SELECT * FROM container WHERE stateid = 6;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.connected.illumina.com/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/container-states.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
